# getting

abstract fun getting(key: K): Provider<V>

Returns a provider that resolves to the value of the mapping of the given key. It will have no value if the property has no value, or if it does not contain a mapping for the key.

The returned provider tracks changes to this property and resolves its value dynamically when queried. It also inherits the task dependencies of all entries in the map, if any.

This method is equivalent to

        map(m -> m.get(key))

Content copied to clipboard
but possibly more efficient.

#### Return

a Provider for the value

#### Parameters

key

the key